Bug 112716 - Abiword crashes on opening most wpd files
Abiword crashes on opening most wpd files
Product: Fedora
Classification: Fedora
Component: libwpd (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2003-12-29 15:02 EST by Trever Adams
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-03 14:27:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Trever Adams 2003-12-29 15:02:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Galeon/1.3.11a

Description of problem:
Most efforts to use libwpd (including as an import for Abiword) cause
it to crash on my system.  Usually, this is through segfault.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open most wpd files on my system (sorry can't provide) in Abiword
2. Abiword crashes
3. No traceback with bugbuddy can be done

Actual Results:  Abiword crashes or hanges

Expected Results:  Document should open up just fine

Additional info:

http://libwpd.sourceforge.net/news.html suggests that there is a newer
version of the library available that works.

I am unable to test to see if it will work.
Comment 1 Jeremy Katz 2004-01-03 15:22:40 EST
Is it better if you upgrade to the abiword/libwpd in rawhide?
Comment 2 Trever Adams 2004-01-05 16:42:13 EST
It seems to fix everything but password protected Word Perfect
documents.  I will keep playing to verify that it does fix the others.
Comment 3 Caolan McNamara 2004-05-03 14:27:39 EDT
Seeing as libwpd 0.7.1 which will be in FC2 fixes the general case of
this, I'll close the bug.

Note You need to log in before you can comment on or make changes to this bug.